%define major	1
%define libname	%mklibname capplet %{major}

Summary:	Library for GNOME control-center
Name:		libcapplet
Version:	1.5.11
Release:	 %mkrel 11
Source0:	ftp://ftp.gnome.org/pub/GNOME/unstable/source/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.5.8-1mdk fix name of po files
Patch0:		libcapplet-1.5.11-poname.patch.bz2
# (gb) 1.5.11-8mdk libtool fixes, don't bother with aclocal
Patch1:		libcapplet-1.5.11-libtool.patch.bz2
# (Anssi 05/2008) gnome-libs does not have .pc files, define requires as
# libs.private instead:
Patch2:		libcapplet-1.5.11-pkgconfig.patch
# (Anssi 05/2008) fix underlinking issues
Patch3:		libcapplet-1.5.11-underlinking.patch
License:	GPL
Url:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig >= 0.8 bonobo-devel gnome-libs-devel flex bison
BuildRequires:	autoconf2.1
BuildRequires:	automake1.4
Conflicts:	control-center < 1.5.11 gnome-core < 1.4.0.6-1mdk gnome-pilot < 0.1.64-3mdk xalf < 0.12-3mdk

%description
%{name} originally belongs to GNOME control-center,
and is a library necessary for 'capplets', which means different
modules for control-center. It has been splitted off from
control-center as a package of its own.

%package -n	%{libname}
Summary:	%{summary}
Group:		System/Libraries
Provides:	%{name} = %{version} 
Requires:	common-licenses

%description -n	%{libname}
%{name} originally belongs to GNOME control-center,
and is a library necessary for 'capplets', which means different
modules for control-center. It has been splitted off from
control-center as a package of its own.

This package contains the main libraries necessary to run capplets.

%package -n	%{libname}-devel
Summary:	Development files for capplet library
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}
Provides:	control-center-devel = %{version}
Provides:	gnome-control-center-devel = %{version}
Obsoletes:	%{name}-devel
Obsoletes:	control-center-devel
Obsoletes:	gnome-control-center-devel
Requires:	%{libname} = %{version}
Requires:	gnome-libs-devel

%description -n	%{libname}-devel
If you're interested in developing capplets for the GNOME
control center, you'll want to install this package. It contains
static library and header files for %{name}. You need this
package too for compiling any capplets.

%prep
%setup -q
%patch0 -p1 -b .poname
%patch1 -p1 -b .libtool
%patch2 -p1
%patch3 -p1
# needed by patches 0,1,3
# (Anssi 05/2008) fails with new autotools
autoreconf-2.13

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

%{find_lang} %{name}%{major}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname} -f %{name}%{major}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_libdir}/*.so.*


%files -n %{libname}-devel
%defattr(-,root,root)
%doc README ChangeLog AUTHORS 
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.11-11mdv2009.0
+ Revision: 267806
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 29 2008 Anssi Hannula <anssi@mandriva.org> 1.5.11-10mdv2009.0
+ Revision: 212829
- fix references to unexistent .pc files in pkgconfig files
  (pkgconfig.patch)
- fix underlinking issues (underlinking.patch)
- use old autotools

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 1.5.11-9mdv2008.1
+ Revision: 190520
- Fix lib group

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5.11-8mdv2008.1
+ Revision: 128467
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import libcapplet


* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.11-8mdk
- stick to built-in libtool 1.4, with fixes

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.11-7mdk
- use aclocal 1.4

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.11-6mdk
- fix buildrequires
- cosmetics

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.11-5mdk
- NMU: mklibname

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.5.11-4mdk
- rebuild

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.11-3mdk
- Rebuild with latest gcc3.1
- Update aclocal.m4 when necessary

* Thu Jan 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.5.11-2mdk
- added conflicts to ease upgrade

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-1mdk
- Release 1.5.11
- Regenerate patch0
- Change major number

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-2mdk
- Spec cleanup by Abel Cheung <maddog@linux.org.hk>
 - Fix summaries and descriptions
 - devel provides/obsoletes control-center-devel
 - Remove useless doc, requires: common-licenses
 - BuildRequires: flex bison

* Wed Oct 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-1mdk
- Release 1.5.8
- Patch0: fix name of po files

* Mon Jul 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.2-1mdk
- Release 1.5.2

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.1-2mdk
- Arg, soname has been downgrading, modifing package name

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.1-1mdk
- Release 1.5.1

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-1mdk
- Initial Mandrake package



# end of file
